POST api/NTInitialQuestion/PostEnRoute

Request Information

URI Parameters

None.

Body Parameters

EnRouteDTO
NameDescriptionTypeAdditional information
Id

integer

None.

CaseNo

integer

None.

EmployeeId

string

String length: inclusive between 0 and 15

FirstName

string

String length: inclusive between 0 and 50

LastName

string

String length: inclusive between 0 and 50

WLCode

string

String length: inclusive between 0 and 15

HospitalName

string

String length: inclusive between 0 and 100

HospitalAddress

string

String length: inclusive between 0 and 300

Callbacknumber

string

String length: inclusive between 0 and 20

CallBackTime

time interval

None.

PToPPhysicianId

integer

None.

Notes

string

String length: inclusive between 0 and 500

IsEmergency

boolean

None.

IsEnRoute

boolean

None.

IsCallBackNoSame

boolean

None.

HospitalAddress2

string

String length: inclusive between 0 and 300

City

string

String length: inclusive between 0 and 30

State

string

String length: inclusive between 0 and 10

StateName

string

String length: inclusive between 0 and 30

ZipCode

string

String length: inclusive between 0 and 10

MessageQueueId

integer

None.

NotificationTypeId

integer

None.

UserEmailId

string

String length: inclusive between 0 and 200

PToPPhysicianEmail

string

String length: inclusive between 0 and 200

FacilityCode

string

String length: inclusive between 0 and 20

InsuranceId

integer

None.

ReferredById

integer

None.

ReferredByValue

string

String length: inclusive between 0 and 500

DOB

date

None.

ReferralDate

date

None.

ReferralTime

time interval

None.

ReferralTimeZone

integer

None.

EncounterId

integer

None.

FacilityPhone

string

String length: inclusive between 0 and 20

PToPPhysicianName

string

String length: inclusive between 0 and 50

ReferredByName

string

String length: inclusive between 0 and 250

ChiefComplain

string

String length: inclusive between 0 and 1000

Phone

string

String length: inclusive between 0 and 20

Suite

string

String length: inclusive between 0 and 10

CompanyEmployeeId

string

String length: inclusive between 0 and 20

InsuranceName

string

String length: inclusive between 0 and 115

EncounterDate

date

None.

ReportedById

integer

None.

ReportedByOtherValue

string

String length: inclusive between 0 and 100

ReportedByFirstName

string

String length: inclusive between 0 and 100

ReportedByLastName

string

String length: inclusive between 0 and 100

ReportedByEmail

string

String length: inclusive between 0 and 100

ReportedByJobTitle

string

String length: inclusive between 0 and 100

ReportedByCallerId

string

String length: inclusive between 0 and 100

IsSelfCaller

boolean

None.

InitialQuestionId

integer

None.

ValidFlag

boolean

None.

DateCreated

date

None.

DateUpdated

date

None.

UserIDCreated

integer

None.

UserIDUpdated

integer

None.

CompanyCode

string

String length: inclusive between 0 and 10

IsExcludeDiscount

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "Id": 1,
  "CaseNo": 1,
  "EmployeeId": "sample string 2",
  "FirstName": "sample string 3",
  "LastName": "sample string 4",
  "WLCode": "sample string 5",
  "HospitalName": "sample string 6",
  "HospitalAddress": "sample string 7",
  "Callbacknumber": "sample string 8",
  "CallBackTime": "00:00:00.1234567",
  "PToPPhysicianId": 1,
  "Notes": "sample string 9",
  "IsEmergency": true,
  "IsEnRoute": true,
  "IsCallBackNoSame": true,
  "HospitalAddress2": "sample string 10",
  "City": "sample string 11",
  "State": "sample string 12",
  "StateName": "sample string 13",
  "ZipCode": "sample string 14",
  "MessageQueueId": 1,
  "NotificationTypeId": 1,
  "UserEmailId": "sample string 15",
  "PToPPhysicianEmail": "sample string 16",
  "FacilityCode": "sample string 17",
  "InsuranceId": 1,
  "ReferredById": 1,
  "ReferredByValue": "sample string 18",
  "DOB": "2026-08-04T14:25:38.1602283-07:00",
  "ReferralDate": "2026-08-04T14:25:38.1602283-07:00",
  "ReferralTime": "00:00:00.1234567",
  "ReferralTimeZone": 1,
  "EncounterId": 1,
  "FacilityPhone": "sample string 19",
  "PToPPhysicianName": "sample string 20",
  "ReferredByName": "sample string 21",
  "ChiefComplain": "sample string 22",
  "Phone": "sample string 23",
  "Suite": "sample string 24",
  "CompanyEmployeeId": "sample string 25",
  "InsuranceName": "sample string 26",
  "EncounterDate": "2026-08-04T14:25:38.1602283-07:00",
  "ReportedById": 1,
  "ReportedByOtherValue": "sample string 28",
  "ReportedByFirstName": "sample string 29",
  "ReportedByLastName": "sample string 30",
  "ReportedByEmail": "sample string 31",
  "ReportedByJobTitle": "sample string 32",
  "ReportedByCallerId": "sample string 33",
  "IsSelfCaller": true,
  "InitialQuestionId": 1,
  "ValidFlag": true,
  "DateCreated": "2026-08-04T14:25:38.1602283-07:00",
  "DateUpdated": "2026-08-04T14:25:38.1602283-07:00",
  "UserIDCreated": 37,
  "UserIDUpdated": 38,
  "CompanyCode": "sample string 39",
  "IsExcludeDiscount": true
}

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfEnRouteDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

EnRouteDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": {
    "Id": 1,
    "CaseNo": 1,
    "EmployeeId": "sample string 2",
    "FirstName": "sample string 3",
    "LastName": "sample string 4",
    "WLCode": "sample string 5",
    "HospitalName": "sample string 6",
    "HospitalAddress": "sample string 7",
    "Callbacknumber": "sample string 8",
    "CallBackTime": "00:00:00.1234567",
    "PToPPhysicianId": 1,
    "Notes": "sample string 9",
    "IsEmergency": true,
    "IsEnRoute": true,
    "IsCallBackNoSame": true,
    "HospitalAddress2": "sample string 10",
    "City": "sample string 11",
    "State": "sample string 12",
    "StateName": "sample string 13",
    "ZipCode": "sample string 14",
    "MessageQueueId": 1,
    "NotificationTypeId": 1,
    "UserEmailId": "sample string 15",
    "PToPPhysicianEmail": "sample string 16",
    "FacilityCode": "sample string 17",
    "InsuranceId": 1,
    "ReferredById": 1,
    "ReferredByValue": "sample string 18",
    "DOB": "2026-08-04T14:25:38.1602283-07:00",
    "ReferralDate": "2026-08-04T14:25:38.1602283-07:00",
    "ReferralTime": "00:00:00.1234567",
    "ReferralTimeZone": 1,
    "EncounterId": 1,
    "FacilityPhone": "sample string 19",
    "PToPPhysicianName": "sample string 20",
    "ReferredByName": "sample string 21",
    "ChiefComplain": "sample string 22",
    "Phone": "sample string 23",
    "Suite": "sample string 24",
    "CompanyEmployeeId": "sample string 25",
    "InsuranceName": "sample string 26",
    "EncounterDate": "2026-08-04T14:25:38.1602283-07:00",
    "ReportedById": 1,
    "ReportedByOtherValue": "sample string 28",
    "ReportedByFirstName": "sample string 29",
    "ReportedByLastName": "sample string 30",
    "ReportedByEmail": "sample string 31",
    "ReportedByJobTitle": "sample string 32",
    "ReportedByCallerId": "sample string 33",
    "IsSelfCaller": true,
    "InitialQuestionId": 1,
    "ValidFlag": true,
    "DateCreated": "2026-08-04T14:25:38.1602283-07:00",
    "DateUpdated": "2026-08-04T14:25:38.1602283-07:00",
    "UserIDCreated": 37,
    "UserIDUpdated": 38,
    "CompanyCode": "sample string 39",
    "IsExcludeDiscount": true
  },
  "totalCount": 3
}